org.apache.ode.bpel.pmapi

## Interface ResponseType

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    ResponseTypeImpl

      public interface ResponseType
      extends org.apache.xmlbeans.XmlObject

  An XML ResponseType(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ResponseType.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FailureType` | `addNewFailure()` Appends and returns a new empty "failure" element
    `FaultType` | `addNewFault()` Appends and returns a new empty "fault" element
    `org.apache.xmlbeans.XmlObject` | `addNewOut()` Appends and returns a new empty "out" element
    `FailureType` | `getFailure()` Gets the "failure" element
    `FaultType` | `getFault()` Gets the "fault" element
    `org.apache.xmlbeans.XmlObject` | `getOut()` Gets the "out" element
    `boolean` | `isSetFailure()` True if has "failure" element
    `boolean` | `isSetFault()` True if has "fault" element
    `boolean` | `isSetOut()` True if has "out" element
    `void` | `setFailure(FailureType failure)` Sets the "failure" element
    `void` | `setFault(FaultType fault)` Sets the "fault" element
    `void` | `setOut(org.apache.xmlbeans.XmlObject out)` Sets the "out" element
    `void` | `unsetFailure()` Unsets the "failure" element
    `void` | `unsetFault()` Unsets the "fault" element
    `void` | `unsetOut()` Unsets the "out" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getOut

          org.apache.xmlbeans.XmlObject getOut()

      Gets the "out" element

    - #### isSetOut

          boolean isSetOut()

      True if has "out" element

    - #### setOut

          void setOut(org.apache.xmlbeans.XmlObject out)

      Sets the "out" element

    - #### addNewOut

          org.apache.xmlbeans.XmlObject addNewOut()

      Appends and returns a new empty "out" element

    - #### unsetOut

          void unsetOut()

      Unsets the "out" element

    - #### getFault

          FaultType getFault()

      Gets the "fault" element

    - #### isSetFault

          boolean isSetFault()

      True if has "fault" element

    - #### setFault

          void setFault(FaultType fault)

      Sets the "fault" element

    - #### addNewFault

          FaultType addNewFault()

      Appends and returns a new empty "fault" element

    - #### unsetFault

          void unsetFault()

      Unsets the "fault" element

    - #### getFailure

          FailureType getFailure()

      Gets the "failure" element

    - #### isSetFailure

          boolean isSetFailure()

      True if has "failure" element

    - #### setFailure

          void setFailure(FailureType failure)

      Sets the "failure" element

    - #### addNewFailure

          FailureType addNewFailure()

      Appends and returns a new empty "failure" element

    - #### unsetFailure

          void unsetFailure()

      Unsets the "failure" element